## Overview

This mod allows for custom characters using VRM avatars within valheim, works by the name of your character in game. This mod is client side so for each player to see your VRM in multiplayer they will need to have the same files.

### How To Set VRMs

1. Navigate to the local files of the game through steam.
2. On the root of the folder create a new folder named `ValheimVRM`
3. You can then add your VRM and others.
4. Create a text file named `settings_VRM_NAME_HERE`
5. Replace `VRM_NAME_HERE` with the name of VRM that the settings will apply too.
6. In the settings txt file paste this:

```
// VRM model scale.
ModelScale=1.0

// VRM model brightness.
ModelBrightness=0.8

// Adjust the camera position to the height of the VRM model.
FixCameraHeight=true

// Y-coordinate offset of the model.
ModelOffsetY=0.0

// Use the MToon shader, If you want to use it, set "SSAO" to Off in the graphics settings.
UseMToonShader=false

// Offset of the equipment position of the right hand.
RightHandEuqipPos=(0,0,0)

// Offset of the equipment position of the left hand.
LeftHandEuqipPos=(0,0,0)

// Offset of back item position of the right hand. (+Y is forward)
RightHandBackItemPos=(0,0,0)

// Offset of back item position of the left hand. (+Y is forward)
LeftHandBackItemPos=(0,0,0)

// Stiffness of SpringBone.
SpringBoneStiffness=1.0

// Gravity strength of SpringBone.
SpringBoneGravityPower=1.0

// Make the player fade out when the camera gets close.
EnablePlayerFade=true
```

7. You will need a settings file for every VRM added.
8. The name of your character in game will have to match the name of the VRM file for it to appear.

All credit to: https://github.com/yoship1639/ValheimVRM
